GNU bug report logs - #25233
hybrid iso reports 4x disk size with 2k sectors

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: parted; Reported by: Bjørn Forsman <bjorn.forsman@HIDDEN>; merged with #26214; dated Mon, 19 Dec 2016 16:40:01 UTC; Maintainer for parted is bug-parted@HIDDEN.
Merged 25233 26214. Request was from Phil Susi <psusi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'hybrid iso reports 4x disk size with 2k sectors' from 'parted is confused by ISO images, miscalculates sizes/offsets' Request was from Phil Susi <psusi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 25233 <at> debbugs.gnu.org:


Received: (at 25233) by debbugs.gnu.org; 18 Apr 2017 17:52:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 18 13:52:18 2017
Received: from localhost ([127.0.0.1]:55057 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d0XIX-0004o3-UT
	for submit <at> debbugs.gnu.org; Tue, 18 Apr 2017 13:52:18 -0400
Received: from mail-ua0-f172.google.com ([209.85.217.172]:36162)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phillsusi@HIDDEN>)
 id 1d0XIV-0004nj-GN; Tue, 18 Apr 2017 13:52:15 -0400
Received: by mail-ua0-f172.google.com with SMTP id a1so153144uaf.3;
 Tue, 18 Apr 2017 10:52:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=P/QHxU5tVbDQxjogZ7EKU4aJX1RQbs7saSRK6Ob8Kzs=;
 b=TtOB7TPq+mkRFHfKPMyeydTid+8+OKvSmymaOkocmuyU6paq6an+K2twRmZ9doCfrs
 f6R00jGyerXMKc+7hn98tRZfv+DJA2MiVhPn4yxBqF9JsFN96M0mbwDYPWTR2Si2UUnC
 V08nzntXsVJ8VJQvSY2CkS9PWDsvTzVpuf1PXZhF45N5X7/CB2Lj8wkmPUWPNL4N9Ocx
 wuAH7oqpk1bh9D2+Ly6e4P96VwDPmzK8VTasBDhT5/dW8vXW39HO93RLk1UBU689yW1F
 F7A0TOduHmZUTSyS44VX3KtxUARaBWEbjUAGujI3LTNIl3iS0R1NE1pahDsEcH1FRp/U
 EKxg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:cc:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=P/QHxU5tVbDQxjogZ7EKU4aJX1RQbs7saSRK6Ob8Kzs=;
 b=s9V6x7xaMZ4fo43Ey1d308laI+ss30ibw7uge38epVP3BbmI+pLndhcf4DrzJyssp/
 +NDvWg6IZyALEYIsWGyN63Nq6x4ToCuzwZcF6NPJDHIyyv+dm7UJAlFDxivcO9HZGfm+
 sS1NwEaXmc2Y75+aGxxOLoJe5OgkJsSNNvMWsQYza15x4gBWqItgrJbC+A374sHV5gvk
 3f+ekUbHOoVgsBnktrgsFpbwbmlntCXe5AnVAO4mJeR4rBIkAMr77keBxPabd4uN2Ufu
 8KJtdb+YuBJ4VI830EDRyqSNcJ77554FvsHdnheqLGbOYFG9+qRtTGRDw765gm4irOeG
 pe8Q==
X-Gm-Message-State: AN3rC/7lPhUZrNRfmirh1tjcruIKjsFfPj34/RK3bRN4f6WE11hqVZoS
 aqcmZOA3QFijrA==
X-Received: by 10.176.71.7 with SMTP id h7mr2967077uac.82.1492537929788;
 Tue, 18 Apr 2017 10:52:09 -0700 (PDT)
Received: from [10.1.1.184] (fl-67-77-88-12.sta.embarqhsd.net. [67.77.88.12])
 by smtp.googlemail.com with ESMTPSA id
 c31sm671972uaa.26.2017.04.18.10.52.08
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 18 Apr 2017 10:52:08 -0700 (PDT)
Subject: Re: bug#25233: parted is confused by ISO images, miscalculates
 sizes/offsets
To: =?UTF-8?Q?Bj=c3=b8rn_Forsman?= <bjorn.forsman@HIDDEN>
References: <CAEYzJUEQzWPhBS2bcB-5=TwmFEeoP93TurCnL2Cgr1-YWnfVJg@HIDDEN>
 <3e96b701-6514-1e8a-d248-3e4b4b84baf1@HIDDEN>
 <CAEYzJUHdoqRrOZMXg6VyAO3_Qo3+Lo2wm6axkEzd==8YGxvhbg@HIDDEN>
From: Phil Susi <psusi@HIDDEN>
Message-ID: <bcad1904-5651-db4c-1f04-7dac72618925@HIDDEN>
Date: Tue, 18 Apr 2017 13:53:49 -0400
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.8.0
MIME-Version: 1.0
In-Reply-To: <CAEYzJUHdoqRrOZMXg6VyAO3_Qo3+Lo2wm6axkEzd==8YGxvhbg@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 25233
Cc: 25233 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

reopen 25233
retitle 25233 hybrid iso reports 4x disk size with 2k sectors
thanks

On 4/18/2017 12:08 PM, Bjørn Forsman wrote:
> Ok. Maybe I was wrong about the parition table (don't know what I
> expected). But the size of the image (5944MB) is wrong. The real file
> is 1.5GB.

That looks like an error.  I'll look at it.





Information forwarded to bug-parted@HIDDEN:
bug#25233; Package parted. Full text available.

Message received at 25233-done <at> debbugs.gnu.org:


Received: (at 25233-done) by debbugs.gnu.org; 18 Apr 2017 16:08:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 18 12:08:17 2017
Received: from localhost ([127.0.0.1]:54976 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d0Vft-0002GL-AQ
	for submit <at> debbugs.gnu.org; Tue, 18 Apr 2017 12:08:17 -0400
Received: from mail-wr0-f177.google.com ([209.85.128.177]:36751)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjorn.forsman@HIDDEN>) id 1d0Vfr-0002G6-PC
 for 25233-done <at> debbugs.gnu.org; Tue, 18 Apr 2017 12:08:16 -0400
Received: by mail-wr0-f177.google.com with SMTP id c55so105943735wrc.3
 for <25233-done <at> debbugs.gnu.org>; Tue, 18 Apr 2017 09:08:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=FO7EhbzWok78IapbCM2VW5qHSb1zbXDI0NBuYuEIy9s=;
 b=F8dXtCEHgDsFVfO7mkwdUXm3rUx9IyjBVgsKCU7DIWA121FHBOijjOvUUNsFcJDUCE
 eXQ76o7OgyFGIvUpR7sLQhRN1PweY/VnxpVHy+aMaqiTHz1rXWYQVA3r4KgHGI9XR3Oy
 /6t+eZ2KCPaD8fFnX0ZLJTKnkGcJpuOu8IbpNCxpx2+69d4kYpGCSkvIW97syEWOs0jJ
 pmdM42RfSOn17jOhfs2H8A9+3LDDIhAmDVJkkR6NH+bXAlPq9E3/QVlIyqH+Wv8rJ2Bv
 r+/f9RG9tgkZ7jsHNv25FPLBBHiGEuuvFoitw7900+h95ZxcXlkEblZ1IfGg+afkp7mW
 XpTw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=FO7EhbzWok78IapbCM2VW5qHSb1zbXDI0NBuYuEIy9s=;
 b=U3ZcHHQu6X87GMqf8vj/U8VfEcT8um0ABKm8D8AVjiQtbkxryLShgdjXr3Sz72IC3I
 ExKP9LlT1kcxhSVS3pTy1i/inEWrAlV4tQ2vcpvxIlrjIrHAPAqJj40vpiQR5rWbZ7xQ
 KTeAveSh5DidWseuPTj/1KJelsvtC3CyDffHVlUNYNqwficnjj/5LkzGbAjt8EjyphRC
 gvr4fta+JFcvi7VZnSB6ipaS7kadKGZF1LJv7dEr7YSbf+GJdx8t9KRZtOJ9sQE/BrMZ
 YTNCJXhQsNgjP79Bi9uLbwYNzppNoXsnhqhCayL6txJs3nURaiy9aEfA/IVDS+70cIbO
 LRDw==
X-Gm-Message-State: AN3rC/5hKfgyHRQRO48ydrN9dpwZSF3p/9g5ftZ5OirpsmI0qQnOUtCZ
 2dICyr7MHhiDGDWs+XTvJtZf1qD06g==
X-Received: by 10.223.135.84 with SMTP id 20mr21963910wrz.199.1492531689748;
 Tue, 18 Apr 2017 09:08:09 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.223.134.121 with HTTP; Tue, 18 Apr 2017 09:08:09 -0700 (PDT)
In-Reply-To: <3e96b701-6514-1e8a-d248-3e4b4b84baf1@HIDDEN>
References: <CAEYzJUEQzWPhBS2bcB-5=TwmFEeoP93TurCnL2Cgr1-YWnfVJg@HIDDEN>
 <3e96b701-6514-1e8a-d248-3e4b4b84baf1@HIDDEN>
From: =?UTF-8?Q?Bj=C3=B8rn_Forsman?= <bjorn.forsman@HIDDEN>
Date: Tue, 18 Apr 2017 18:08:09 +0200
Message-ID: <CAEYzJUHdoqRrOZMXg6VyAO3_Qo3+Lo2wm6axkEzd==8YGxvhbg@HIDDEN>
Subject: Re: bug#25233: parted is confused by ISO images,
 miscalculates sizes/offsets
To: Phil Susi <psusi@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 25233-done
Cc: 25233-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)

On 18 April 2017 at 17:23, Phil Susi <psusi@HIDDEN> wrote:
> On 12/19/2016 7:19 AM, Bj=C3=B8rn Forsman wrote:
>> Hi all,
>>
>> [My name is Bj=C3=B8rn Forsman, end user of parted, I'm using parted as =
my
>> primary partitioning tool.]
>>
>> When I run parted (latest version, 3.2) on an ISO file, it gets
>> confused about the block size:
>>
>>   $ parted ubuntu-16.04-desktop-amd64.iso p
>>   WARNING: You are not superuser.  Watch out for permissions.
>>   Warning: The driver descriptor says the physical block size is 2048
>> bytes, but Linux says it is 512 bytes.
>>   Ignore/Cancel?
>
> This is because the image contains a mac partition table using a block
> size of 2048 bytes since the image is meant to go on a cdrom, which has
> a sector size of 2048 bytes.
>
>> If I select "Ignore", it misinterprets the size and the partition table:
>>
>>   Model:  (file)
>>   Disk /home/bfo/Downloads/ubuntu-16.04-desktop-amd64.iso: 5944MB
>>   Sector size (logical/physical): 2048B/512B
>>   Partition Table: mac
>>   Disk Flags:
>>
>>   Number  Start   End     Size    File system  Name   Flags
>>    1      2048B   6143B   4096B                Apple
>>    2      1479MB  1481MB  2425kB               EFI
>
> No; that is correctly interpreting the partition table.

Ok. Maybe I was wrong about the parition table (don't know what I
expected). But the size of the image (5944MB) is wrong. The real file
is 1.5GB.

Best regards,
Bj=C3=B8rn Forsman




Information forwarded to bug-parted@HIDDEN:
bug#25233; Package parted. Full text available.

Message received at 25233-done <at> debbugs.gnu.org:


Received: (at 25233-done) by debbugs.gnu.org; 18 Apr 2017 15:22:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 18 11:22:27 2017
Received: from localhost ([127.0.0.1]:54925 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d0UxX-00015S-0M
	for submit <at> debbugs.gnu.org; Tue, 18 Apr 2017 11:22:27 -0400
Received: from mail-ua0-f174.google.com ([209.85.217.174]:33091)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phillsusi@HIDDEN>) id 1d0UxV-00015G-Iv
 for 25233-done <at> debbugs.gnu.org; Tue, 18 Apr 2017 11:22:25 -0400
Received: by mail-ua0-f174.google.com with SMTP id q26so93407551uaa.0
 for <25233-done <at> debbugs.gnu.org>; Tue, 18 Apr 2017 08:22:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=rkUwyovaYSVofHQ5hmv5e8iyev60aCwfRNva4kG9H9o=;
 b=eAOU+yNUZpy84W+VmTr9BJYJeIb5WmInuTKiftW63eMXD2Stj0M5wpVLJE1kyT6Qy+
 9t6PjCf53rShztoX55dMdVyWeQK1IxdYoabqG6mKpah4TtE2/r3wzLJnPlBqEhAUSwDx
 Foijih/loQ5d7iPXGs0y2yycVr+L8UP5lSG55yvz1n07teN2Q05FETJjh1AhQQXv29Wf
 ODDeJKXX3QYdVSGz587TbAUIWeGmCpIgi141TeM/PRF2/b/EuGRG/892oO1M/qpaI95W
 gJyILpBnIStvGWPxIN4EIrrprykyFQMJTI2Pwex5lCpwXRhFC1UUDsmAXkWK328fEgPq
 igJg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=rkUwyovaYSVofHQ5hmv5e8iyev60aCwfRNva4kG9H9o=;
 b=Nup4Y2FSTkjbFo5EV9mOtEHLQ3YTe8+eR7QWyUBAilGHBQmCJadbIBdSu6eaM/VxTe
 4kbajFtVyeM4Xi2Lbt84SlU8u5vyF1NA9fvIcF1A3tdHcZIJKYAJGJcwC9MHJXwlkrJG
 UdZbFKP6rGZazLUNa/aryR/yN6Z2naGLdeYvwi/JY7+amj0GhCxPvHLa/adZfE+zMjVK
 QjWLSSHJvfOh2qxs7YaAJw5aXAxsmOLtdVQ9T8muPuqDTmV2bIrZx3PeWfmrA4PoVPsL
 KW2boqvdJE5dIA73J1InPtH7l36eXidpKj0s36qfitbB+J/LXubOXmY0nYjB/34dHCS5
 L68g==
X-Gm-Message-State: AN3rC/7Al4pj6auVeMCq5Mj7ciRkGSaiWGTyHg+NC+sKUUvezPSviBu8
 QtRhgMxOtQQG1g==
X-Received: by 10.176.6.4 with SMTP id f4mr6043383uaf.15.1492528938920;
 Tue, 18 Apr 2017 08:22:18 -0700 (PDT)
Received: from [10.1.1.184] (fl-67-77-88-12.sta.embarqhsd.net. [67.77.88.12])
 by smtp.googlemail.com with ESMTPSA id
 h26sm3527107uab.37.2017.04.18.08.22.18
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 18 Apr 2017 08:22:18 -0700 (PDT)
Subject: Re: bug#25233: parted is confused by ISO images, miscalculates
 sizes/offsets
To: =?UTF-8?Q?Bj=c3=b8rn_Forsman?= <bjorn.forsman@HIDDEN>,
 25233-done <at> debbugs.gnu.org
References: <CAEYzJUEQzWPhBS2bcB-5=TwmFEeoP93TurCnL2Cgr1-YWnfVJg@HIDDEN>
From: Phil Susi <psusi@HIDDEN>
Message-ID: <3e96b701-6514-1e8a-d248-3e4b4b84baf1@HIDDEN>
Date: Tue, 18 Apr 2017 11:23:59 -0400
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.8.0
MIME-Version: 1.0
In-Reply-To: <CAEYzJUEQzWPhBS2bcB-5=TwmFEeoP93TurCnL2Cgr1-YWnfVJg@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 25233-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

On 12/19/2016 7:19 AM, Bjørn Forsman wrote:
> Hi all,
> 
> [My name is Bjørn Forsman, end user of parted, I'm using parted as my
> primary partitioning tool.]
> 
> When I run parted (latest version, 3.2) on an ISO file, it gets
> confused about the block size:
> 
>   $ parted ubuntu-16.04-desktop-amd64.iso p
>   WARNING: You are not superuser.  Watch out for permissions.
>   Warning: The driver descriptor says the physical block size is 2048
> bytes, but Linux says it is 512 bytes.
>   Ignore/Cancel?

This is because the image contains a mac partition table using a block
size of 2048 bytes since the image is meant to go on a cdrom, which has
a sector size of 2048 bytes.

> If I select "Ignore", it misinterprets the size and the partition table:
> 
>   Model:  (file)
>   Disk /home/bfo/Downloads/ubuntu-16.04-desktop-amd64.iso: 5944MB
>   Sector size (logical/physical): 2048B/512B
>   Partition Table: mac
>   Disk Flags:
> 
>   Number  Start   End     Size    File system  Name   Flags
>    1      2048B   6143B   4096B                Apple
>    2      1479MB  1481MB  2425kB               EFI

No; that is correctly interpreting the partition table.

> And if I select "Cancel" it gets the size right but doesn't show any more data:
> 
>   Model:  (file)
>   Disk /home/bfo/Downloads/ubuntu-16.04-desktop-amd64.iso: 1486MB
>   Sector size (logical/physical): 512B/512B
>   Partition Table: unknown
>   Disk Flags:

This has the size wrong, and shows no data since you bailed out of
trying to interpret the mac partition table.

> Why cannot parted handle this like fdisk?

Because fdisk does not know about mac partition tables.





Notification sent to Bjørn Forsman <bjorn.forsman@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Phil Susi <psusi@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Dec 2016 16:39:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 19 11:39:52 2016
Received: from localhost ([127.0.0.1]:47804 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJ0yd-0005QV-Og
	for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 11:39:51 -0500
Received: from eggs.gnu.org ([208.118.235.92]:52975)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjorn.forsman@HIDDEN>) id 1cIwub-0005SL-UV
 for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 07:19:26 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bjorn.forsman@HIDDEN>) id 1cIwuV-0000wA-Nf
 for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 07:19:20 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:51613)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bjorn.forsman@HIDDEN>)
 id 1cIwuV-0000w1-KZ
 for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 07:19:19 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43938)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bjorn.forsman@HIDDEN>) id 1cIwuU-0005Gn-Gf
 for bug-parted@HIDDEN; Mon, 19 Dec 2016 07:19:19 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bjorn.forsman@HIDDEN>) id 1cIwuT-0000sc-D5
 for bug-parted@HIDDEN; Mon, 19 Dec 2016 07:19:18 -0500
Received: from mail-wm0-x242.google.com ([2a00:1450:400c:c09::242]:35759)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <bjorn.forsman@HIDDEN>)
 id 1cIwuT-0000rk-6T
 for bug-parted@HIDDEN; Mon, 19 Dec 2016 07:19:17 -0500
Received: by mail-wm0-x242.google.com with SMTP id a20so18347845wme.2
 for <bug-parted@HIDDEN>; Mon, 19 Dec 2016 04:19:17 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to
 :content-transfer-encoding;
 bh=D4NHhAqv9qX/GLZO0m3r2bQ7h4NSQ73JbKVBpq8sU/I=;
 b=g6+kaGg21Gjv1IAvf3La4p43u4EVVaz/v0yMLCGV03it1j/fIntvdverV7g9x5I1tu
 TSN9xKcgz+7j+FkbUCMjqGC7sEjiY/uWCFazU+YcxN34r8JSLXkyOjGhplMurrGtzT9T
 DT/43ycnYnm228UwonvJoR5EgRzVYMaX1Zy/kvV3PJ4ZLp8utc9AP6ry3RPqXcHV+gfe
 Mx1/spmVxJUHJVRauCwOGB4jA/C2tQVjwQjRuf7hd4TAF0u7n1jm185f6BXvxNnw82LT
 9lxpPdc5FUVdPtHDFulr/9WYgYLr8A5SlQprCc6ECyQJu8mXWZbZmjSFfhU31YhvtT+R
 widQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to
 :content-transfer-encoding;
 bh=D4NHhAqv9qX/GLZO0m3r2bQ7h4NSQ73JbKVBpq8sU/I=;
 b=cWWHM2Y5HY7gEgpEzI34Jucvv25SD7vsZbLHFWaiOYdqmhSQd+xCNC2DKsDdx8F1lo
 PRB6dBvYGPnZqXTuNxeFVWGQnerI4wWdxHJVY1qbwhZaHDwQqC0egJR5S2dnOgNiyyHQ
 Q9d4TOUu83CDqMW7kCwcgx19RcvsKJZymU/uBTaY5rGzJl+FYtdBEVoJpnaqFf0629Fg
 Q4mGVLQrPViIPb1VfAgIG3+2BdCg5Sy6XdskG3ez07q4WbMzL4EK9g53Vnixxlrewkaj
 wvwbrd3caf0AiEge9+tJ6P5We9flak7a+2o6xHkCPM0GZsSyAb57mRA43pQ4Y8WjE/N6
 woQQ==
X-Gm-Message-State: AIkVDXIjWkGY2sKnYGTmdY6pberJjLKETGQKZHdXybXClA7k99ll1FlqTlcFtjBEs1lO/0Kf9U0kuWoOZMZF2w==
X-Received: by 10.28.230.197 with SMTP id e66mr14145350wmi.12.1482149956000;
 Mon, 19 Dec 2016 04:19:16 -0800 (PST)
MIME-Version: 1.0
Received: by 10.80.154.97 with HTTP; Mon, 19 Dec 2016 04:19:15 -0800 (PST)
From: =?UTF-8?Q?Bj=C3=B8rn_Forsman?= <bjorn.forsman@HIDDEN>
Date: Mon, 19 Dec 2016 13:19:15 +0100
Message-ID: <CAEYzJUEQzWPhBS2bcB-5=TwmFEeoP93TurCnL2Cgr1-YWnfVJg@HIDDEN>
Subject: parted is confused by ISO images, miscalculates sizes/offsets
To: bug-parted@HIDDEN
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 19 Dec 2016 11:39:50 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Hi all,

[My name is Bj=C3=B8rn Forsman, end user of parted, I'm using parted as my
primary partitioning tool.]

When I run parted (latest version, 3.2) on an ISO file, it gets
confused about the block size:

  $ parted ubuntu-16.04-desktop-amd64.iso p
  WARNING: You are not superuser.  Watch out for permissions.
  Warning: The driver descriptor says the physical block size is 2048
bytes, but Linux says it is 512 bytes.
  Ignore/Cancel?

If I select "Ignore", it misinterprets the size and the partition table:

  Model:  (file)
  Disk /home/bfo/Downloads/ubuntu-16.04-desktop-amd64.iso: 5944MB
  Sector size (logical/physical): 2048B/512B
  Partition Table: mac
  Disk Flags:

  Number  Start   End     Size    File system  Name   Flags
   1      2048B   6143B   4096B                Apple
   2      1479MB  1481MB  2425kB               EFI

And if I select "Cancel" it gets the size right but doesn't show any more d=
ata:

  Model:  (file)
  Disk /home/bfo/Downloads/ubuntu-16.04-desktop-amd64.iso: 1486MB
  Sector size (logical/physical): 512B/512B
  Partition Table: unknown
  Disk Flags:

Why cannot parted handle this like fdisk?

  $ fdisk -l ubuntu-16.04-desktop-amd64.iso
  Disk ubuntu-16.04-desktop-amd64.iso: 1.4 GiB, 1485881344 bytes,
2902112 sectors
  Units: sectors of 1 * 512 =3D 512 bytes
  Sector size (logical/physical): 512 bytes / 512 bytes
  I/O size (minimum/optimal): 512 bytes / 512 bytes
  Disklabel type: dos
  Disk identifier: 0x0e0e8e70

  Device                          Boot   Start     End Sectors  Size Id Typ=
e
  ubuntu-16.04-desktop-amd64.iso1 *          0 2902111 2902112  1.4G  0 Emp=
ty
  ubuntu-16.04-desktop-amd64.iso2      2888004 2892739    4736  2.3M
ef EFI (FAT-12/16/32)

I wonder if commit f98f791e19669b900345dad7d96ea4df974e4596
("libparted: device mapper uses 512b sectors") fixes this.
This commit is from february 2015. Any plans on making a new release?
(I'm an end user, I use released software.)

Best regards,
Bj=C3=B8rn Forsman




Acknowledgement sent to Bjørn Forsman <bjorn.forsman@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-parted@HIDDEN. Full text available.
Report forwarded to bug-parted@HIDDEN:
bug#25233; Package parted. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 19 Apr 2017 13:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.